com.buschmais.jqassistant.plugin.m2repo.api.model

## Interface MavenRepositoryDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.maven3.api.model.MavenDescriptor

      @Label(value="Repository")
      public interface MavenRepositoryDescriptor
      extends com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.maven3.api.model.MavenDescriptor

  Describes a maven repository.
  Author:
    pherklotz

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `MavenRepositoryDescriptor.ContainsArtifact`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<RepositoryArtifactDescriptor>` | `getContainedArtifacts()` A list of contained artifacts.
    `long` | `getLastScanDate()` The last scan date.
    `String` | `getUrl()` The repository url.
    `void` | `setLastScanDate(long scanDate)` Set the last scan date.
    `void` | `setUrl(String url)` Set the repository url.

- - ### Method Detail

    - #### getContainedArtifacts

          List<RepositoryArtifactDescriptor> getContainedArtifacts()

      A list of contained artifacts.

    - #### getUrl

          @Indexed
          String getUrl()

      The repository url.
      Returns:
        the repository url.

    - #### setUrl

          void setUrl(String url)

      Set the repository url.
      Parameters:
        `url` - the repository url.

    - #### getLastScanDate

          @Property(value="lastScanDate")
          long getLastScanDate()

      The last scan date.
      Returns:
        the last scan date.

    - #### setLastScanDate

          void setLastScanDate(long scanDate)

      Set the last scan date.
      Parameters:
        `scanDate` - the last scan date.

Copyright © 2015 buschmais GbR. All rights reserved.